Page MenuHomePhabricator

Migrate Bugzilla attachments to Phabricator
Closed, ResolvedPublic

Description

Andre just mentioned "migrate attachments" in another report. Wait, currently there is no "add attachment" to Phabricator tasks. Is this a big deal? Is there a plugin to add attachments? Although, wait:

Screenshots etc can be attached as Pholio images.

Patches as attachments is something that we have been rejecting for a long time. Still, what would happen with the patches already uploaded in Bugzilla tickets?

Any other type of attachments?

Details

Reference
fl69

Event Timeline

flimport raised the priority of this task from to Normal.
flimport set Reference to fl69.

qgil wrote on 2014-04-30 14:27:15 (UTC)

Moving to "Not critical for the RfC" under the assumption that an eventual Bugzilla migration plan will take attachments into account.

aklapper wrote on 2014-05-26 13:55:38 (UTC)

This seems to mix creation of attachments in Phabricator and migration of attachments from Bugzilla to Phabricator.

a) There is no "Add Attachment", but the comment area has an icon with an arrow pointing up into a cloud, and it says "To add files, drag and drop them into the comment text area." Might not be visible enough? I haven't tested how this behaves when adding text files like patches. Mostly covered in T271 now.

b) Most common attachment types in Bugzilla are screenshots and to some extend patches.

c) Patches attached in Bugzilla: To get some data here, we talk about 117 open tickets with non-reviewed patches: https://bugzilla.wikimedia.org/buglist.cgi?keywords=patch-need-review&keywords_type=allwords&resolution=--- .
Chart over time: https://bugzilla.wikimedia.org/chart.cgi?category=-All-&subcategory=-All-&name=1719&select0=1&label0=Open+patch-need-review&line0=1719&datefrom=&dateto=&action-wrap=Chart+This+List
I am sure that 95% do not apply cleanly anymore anyway (and this could be automatically tested by using Gerrit Patch Uploader and writing some code I guess).
Keyword "patch-reviewed" (which means more work is needed) is on 146 open tickets: https://bugzilla.wikimedia.org/buglist.cgi?keywords=patch-reviewed&keywords_type=allwords&resolution=---

d) Attachments in Bugzilla can have three boolean checkboxes: "patch", "obsolete", "private" (same access rights as for comments marked as private; often set in case of privacy issues like passwords exposed in a text attachment, or images considered spam). Private should likely be respected when importing Bugzilla attachments. Related: T95

e) Just stating the obvious: No average human would understand what "Edit Pholio mocks" means so we might want to rename (cf. T59).

aklapper wrote on 2014-08-04 20:06:17 (UTC)

For the records, this will be tested more once T477 is fixed in upstream and not in flux anymore, hence likely to get moved out of the "Backlog" soon.

aklapper wrote on 2014-08-25 13:28:08 (UTC)

@Rush started experimenting with this; plus T477 is closed now.

For the records, two factors we (which translates to "I") did not think about before:

Aklapper moved this task from Backlog to Doing on the Bugzilla-Migration board.Sep 18 2014, 3:30 PM
Aklapper assigned this task to chasemp.Sep 18 2014, 3:36 PM
Aklapper set Security to None.
chasemp removed chasemp as the assignee of this task.Oct 1 2014, 9:27 PM
chasemp removed chasemp as the assignee of this task.Oct 1 2014, 9:35 PM
chasemp removed chasemp as the assignee of this task.Oct 1 2014, 10:23 PM
Qgil closed this task as Resolved.

We have decided that T815 needs to be solved in Bugzilla, before the migration. bugzillapreview has demonstrated that attachments are migrated correctly. Resolving.